import pygame


def main(windowed_mode):
    pygame.init()
    clock = pygame.time.Clock()
    if windowed_mode:
        window = pygame.display.set_mode((720, 720))
    else:
        window = pygame.display.set_mode((720, 720), pygame.FULLSCREEN)

    window.fill((0, 0, 0))

    running = True
    while running:
        clock.tick(60)

        #pygame.mouse.set_visible(False)

        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                running = False
            if event.type == pygame.KEYDOWN:
                if event.key == pygame.K_ESCAPE:
                    running = False

        mouse_pos = pygame.mouse.get_pos()
        window.fill((0, 0, 0))
        pygame.draw.line(window, (255, 255, 255), (720/2, 720/2), mouse_pos, 15)

        pygame.display.flip()

    pygame.quit()
